nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::IDeviceAgent::IHandler0 Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IDeviceAgent::IHandler0:

## Public Member Functions
virtual void | handleMetadata (IMetadataPacket *metadataPacket)=0
virtual void | handleIntegrationDiagnosticEvent (IIntegrationDiagnosticEvent *event)=0
Public Member Functions inherited from nx::sdk::Interface< IHandler0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IHandler0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ handleMetadata()

virtual void nx::sdk::analytics::IDeviceAgent::IHandler0::handleMetadata | ( | IMetadataPacket * | metadataPacket | ) |
| pure virtual

Passes a metadata packet to the Server. It's worth to mention that passing a single metadata packet containing multiple metadata items with the same timestamp is preferred to passing multiple metadata packets with the same timestamp containing a single item. Although the latter will work correctly, it reduces the performance of the VMS Client. For example, if you have 10 objects detected on the same frame, it's better to send 1 packet with all the object metadata than 10 separate packets.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_device_agent.h